import request from '@/utils/request'

// 创建短信节点
export function createSmsNode(data) {
  return request({
    url: '/system/sms-node/create',
    method: 'post',
    data: data
  })
}

// 更新短信节点
export function updateSmsNode(data) {
  return request({
    url: '/system/sms-node/update',
    method: 'put',
    data: data
  })
}

// 删除短信节点
export function deleteSmsNode(id) {
  return request({
    url: '/system/sms-node/delete?id=' + id,
    method: 'delete'
  })
}

// 获得短信节点
export function getSmsNode(id) {
  return request({
    url: '/system/sms-node/get?id=' + id,
    method: 'get'
  })
}

// 获得短信节点分页
export function getSmsNodePage(query) {
  return request({
    url: '/system/sms-node/page',
    method: 'get',
    params: query
  })
}

// 导出短信节点 Excel
export function exportSmsNodeExcel(query) {
  return request({
    url: '/system/sms-node/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 测试短信节点
export function testSms(data) {
  return request({
    url: '/system/sms-node/test',
    method: 'post',
    data: data
  })
}
